.partners-section-scroll .partners-list {
  width: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  gap: var(--grid-horizontal-gap) var(--grid-vertical-gap);
  overflow: hidden;
}
.partners-section-scroll .partners-list::before {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: linear-gradient(270deg, var(--bg-color) 0%, rgba(33, 33, 33, 0) 10%, rgba(34, 34, 34, 0) 90%, var(--bg-color) 100%);
  z-index: 1;
}

.partners-section-scroll .partners-row,
.partners-section-scroll .partners-row-items {
  display: flex;
  gap: var(--grid-horizontal-gap) var(--grid-vertical-gap);
  flex-wrap: nowrap;
}

@keyframes loop-anim-left {
  0% {
    transform: translateZ(0);
  }

  to {
    transform: translate3d(-100%, 0, 0);
  }
}

@keyframes loop-anim-right {
  0% {
    transform: translate3d(-100%, 0, 0);
  }

  to {
    transform: translateZ(0);
  }
}

/* 偶数行向左滚动 */
.partners-section-scroll .partners-row:nth-child(even) .partners-row-items {
  animation: loop-anim-left linear infinite;
}

/* 奇数行向右滚动 */
.partners-section-scroll .partners-row:nth-child(odd) .partners-row-items {
  animation: loop-anim-right linear infinite;
}
.partners-section-scroll .partners-item {
  width: 208px;
}

.partners-section-scroll .partners-item > a {
  width: 100%;
}

@media (max-width: 1024px) {
  .partners-section-scroll .partners-item {
    width: 156px;
  }
}
@media (max-width: 767px) {
  .partners-section-scroll .partners-item {
    width: 104px;
  }
}